## org.eclipse.datatools.enablement.postgresql.catalog.loaders
Class PostgresSchemaLoader

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
          org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
              org.eclipse.datatools.enablement.postgresql.catalog.loaders.PostgresSchemaLoader

    public class PostgresSchemaLoader

extends JDBCSchemaLoader

Class for loading schemas from a PostgreSQL database.

Author:
  pierre.queinnec@zenika.com

Field Summary

Fields inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
`COLUMN_TABLE_CATALOG, COLUMN_TABLE_SCHEM`

Constructor Summary
`PostgresSchemaLoader()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCSchemaLoader
`clearSchemas, loadSchemas, loadSchemas`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.loader.JDBCBaseLoader
`getCatalogObject, setCatalogObject`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PostgresSchemaLoader

    public PostgresSchemaLoader()